Skip to main content
GET
/
api
/
v1
/
migration-tasks
List Migration Tasks
curl --request GET \
  --url https://worker.anon.com/api/v1/migration-tasks \
  --header 'Authorization: Bearer <token>'
[
  {
    "object": "migration_task",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created": "2023-11-07T05:31:56Z",
    "updated": "2023-11-07T05:31:56Z",
    "migration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "PENDING",
    "data_category": "EMPLOYEE",
    "data_type": "Location",
    "completed_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

migration_id
string<uuid>
required

Migration ID to list tasks for

Response

Success

object
enum<string>
required
Available options:
migration_task
id
string<uuid>
required

Unique identifier for the migration task

created
string<date-time>
required

Timestamp when the migration task was created

updated
string<date-time>
required

Timestamp when the migration task was last updated

migration_id
string<uuid>
required

Unique identifier for the migration

status
enum<string>
required

Current status of the migration task

Available options:
PENDING,
IN_PROGRESS,
COMPLETE,
FAILED,
AWAITING_USER_INPUT,
NO_DATA
data_category
enum<string>
required

Category of the data being migrated

Available options:
EMPLOYEE,
COMPENSATION,
DEDUCTION_SETUP,
COMPANY,
TAX,
TRAVEL
data_type
enum<string>
required

Type of the data being migrated

Available options:
Location,
EntityType,
StateTax,
EmployeeRoster,
EmployeeDetails,
Deductions,
ContractorPayments,
TimeOffBalances,
PayrollJournal,
FederalTax,
DirectDeposit,
ContractorRoster,
PTOData,
Signatory,
SilverEntityType,
SilverLocation,
SilverFederalTax,
SilverItemDetails,
SilverSignatory,
SilverEmployeeRoster,
SilverEmployeeDetails,
BookingsReport,
TransactionReport,
EmployeeW2Previews,
EmployeeDirectDeposit,
FederalTaxSetup,
StateTaxSetup,
addServiceAccount,
ItemCatalogue,
GiftCardsData,
ItemDetails,
GoldItemDetails,
GoldEmployeeData,
GoldEntityType
completed_at
string<date-time> | null
required

Timestamp when the migration task was completed